Magick::Coordinate Class Reference

`#include <Drawable.h>`

## Public Member Functions

| Coordinate (void)
| Coordinate (double x_, double y_)
virtual | ~Coordinate ()
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Detailed Description

Definition at line 48 of file Drawable.h.

## Constructor & Destructor Documentation

## Coordinate() [1/2]

Magick::Coordinate::Coordinate | ( | void |  | ) |

inline

Definition at line 52 of file Drawable.h.

## Coordinate() [2/2]

Magick::Coordinate::Coordinate | ( | double | x_,
|  | double | y_
| ) |  |

inline

Definition at line 56 of file Drawable.h.

## ~Coordinate()

virtual Magick::Coordinate::~Coordinate | ( |  | ) |

inlinevirtual

Definition at line 60 of file Drawable.h.

## Member Function Documentation

## x() [1/2]

void Magick::Coordinate::x | ( | double | x_ | ) |

inline

Definition at line 62 of file Drawable.h.

Referenced by Magick::operator<(), and Magick::operator==().

## x() [2/2]

double Magick::Coordinate::x | ( | void |  | ) | const

inline

Definition at line 63 of file Drawable.h.

## y() [1/2]

void Magick::Coordinate::y | ( | double | y_ | ) |

inline

Definition at line 65 of file Drawable.h.

Referenced by Magick::operator<(), and Magick::operator==().

## y() [2/2]

double Magick::Coordinate::y | ( | void |  | ) | const

inline

Definition at line 66 of file Drawable.h.

The documentation for this class was generated from the following file:

- Drawable.h